Subject: Re: ssh-host-config problem on windows 2003, please help.
From: T Z <[email-masked]>
To: [email-masked]
Cc: Charles Wilson <[email-masked]>
Date: Tue, 9 Dec 2008 19:58:15 -0800 (PST)
List-Id: <cygwin.cygwin.com>

That would help but does it already come in a pre-packaged form of some sort? I ask because I have over 20 machines I will be doing this on and is stands right now I basically did a setup.exe and had it download to cygwin directory (but not install) and then put it back on the server to run from a local directory on setup so that the install goes smoothly and I know exactly what is going to be installed on my unattended machines.  If I only have this patch I would have to setup each machine and then put this script init and then run the ssh-host-config which means the fastet way right now would be just to have someone or something (automate) answer the silly questions for me.  Hmm.  

--- On Mon, 12/8/08, Corinna Vinschen <[email-masked]> wrote:

> From: Corinna Vinschen <[email-masked]>
> Subject: Re: ssh-host-config problem on windows 2003, please help.
> To: [email-masked]
> Cc: "Charles Wilson" <[email-masked]>
> Date: Monday, December 8, 2008, 8:13 AM
> On Dec  2 12:45, T Z wrote:
> > I am trying to automate my cygwin install on a windows
> 2003 box
> > [...]
> > but when I then run
> > c:\cygwin\bin\bash.exe --login
> /usr/bin/ssh-host-config --yes --cygwin ntsec --pwd loser as
> the administrator of the pc (not in domain) it seems to run
> fine thru most if the script but then when it gets to the
> line where it asks if you want to change the user of
> cyg_server it is AUTOMATICALLY answering yes which then I
> have to retype it in.  I am running version 2.573.2.3
> > 
> > what is the problem.  Can someone please help?
> 
> This (untested) patch to the service helper script
> /usr/share/csih/cygwin-service-installation-helper.sh
> should fix that problem.
> 
> 
> Index: cygwin-service-installation-helper.sh
> ===================================================================
> RCS file:
> /sourceware/projects/cygwin-apps-home/cvsfiles/csih/cygwin-service-installation-helper.sh,v
> retrieving revision 1.15
> diff -u -p -r1.15 cygwin-service-installation-helper.sh
> --- cygwin-service-installation-helper.sh	22 Aug 2008
> 03:56:43 -0000	1.15
> +++ cygwin-service-installation-helper.sh	8 Dec 2008
> 15:10:36 -0000
> @@ -2277,7 +2277,7 @@ csih_select_privileged_username()
>        echo ""
>        csih_inform "This script plans to use
> '${username}'."
>        csih_inform "'${username}' will only be
> used by registered services."
> -      if csih_request "Do you want to use a different
> name?"
> +      if ! csih_request "Do you want to use this
> account name for running this service?"
>        then
>          csih_get_value "Enter the new user
> name:"
>          username="${csih_value}"
> 
> 
> Corinna
> 
> -- 
> Corinna Vinschen                  Please, send mails
> regarding Cygwin to
> Cygwin Project Co-Leader          cygwin AT cygwin DOT com
> Red Hat
> 
> --
> Unsubscribe info:     
> http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

      

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/